Package org.osgi.annotation.bundle

# Annotation Type Requirements

@Documented @Retention(CLASS) @Target({TYPE,PACKAGE}) public @interface Requirements
Container annotation for repeated `Requirement` annotations.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Requirement[]`
`value`
Repeated `Requirement` annotations.

## Element Details

### value

Requirement[] value
Repeated `Requirement` annotations.